From rebum@mail.vx.sk  Thu Aug 23 10:58:27 2007
Return-Path: <rebum@mail.vx.sk>
Received: from mx1.freebsd.org (mx1.freebsd.org [IPv6:2001:4f8:fff6::34])
	by hub.freebsd.org (Postfix) with ESMTP id A045616A419
	for <FreeBSD-gnats-submit@freebsd.org>; Thu, 23 Aug 2007 10:58:27 +0000 (UTC)
	(envelope-from rebum@mail.vx.sk)
Received: from mail.vx.sk (neo.vx.sk [88.198.35.14])
	by mx1.freebsd.org (Postfix) with ESMTP id 64F9413C45A
	for <FreeBSD-gnats-submit@freebsd.org>; Thu, 23 Aug 2007 10:58:27 +0000 (UTC)
	(envelope-from rebum@mail.vx.sk)
Received: from localhost (localhost [127.0.0.1])
	by mail.vx.sk (Postfix) with ESMTP id 17CE9453A2
	for <FreeBSD-gnats-submit@freebsd.org>; Thu, 23 Aug 2007 12:58:26 +0200 (CEST)
Received: from mail.vx.sk ([127.0.0.1])
	by localhost (mail.vx.sk [127.0.0.1]) (amavisd-new, port 10024)
	with LMTP id 3tdQ6EcorFgR for <FreeBSD-gnats-submit@freebsd.org>;
	Thu, 23 Aug 2007 12:58:23 +0200 (CEST)
Received: by mail.vx.sk (Postfix, from userid 1001)
	id BF2A04538A; Thu, 23 Aug 2007 12:58:23 +0200 (CEST)
Message-Id: <20070823105823.BF2A04538A@mail.vx.sk>
Date: Thu, 23 Aug 2007 12:58:23 +0200 (CEST)
From: Martin Matuska <mm@FreeBSD.org>
Reply-To:
To: FreeBSD-gnats-submit@freebsd.org
Cc:
Subject: [PATCH] etc/rc.d/mdconfig (RELENG_6)
X-Send-Pr-Version: 3.113
X-GNATS-Notify:

>Number:         115751
>Category:       conf
>Synopsis:       [patch] etc/rc.d/mdconfig (RELENG_6)
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    linimon
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Thu Aug 23 11:00:13 GMT 2007
>Closed-Date:    Wed Jan 14 15:01:21 UTC 2009
>Last-Modified:  Wed Jan 14 15:01:21 UTC 2009
>Originator:     Martin Matuska
>Release:        FreeBSD 6.2-STABLE
>Organization:
>Environment:
FreeBSD 6.2-STABLE i386 and amd64
>Description:
RELENG_6 version of etc/rc.d/mdconfig does not properly detect loaded KLD's
>How-To-Repeat:
>Fix:
Index: etc/rc.d/mdconfig
===================================================================
RCS file: /home/ncvs/src/etc/rc.d/mdconfig,v
retrieving revision 1.3.2.1
diff -u -r1.3.2.1 mdconfig
--- etc/rc.d/mdconfig	21 Aug 2006 15:06:38 -0000	1.3.2.1
+++ etc/rc.d/mdconfig	23 Aug 2007 10:54:12 -0000
@@ -84,7 +84,7 @@
 		fi
 		if [ "${_file}" != "${_file%.uzip}" ]; then
 			# Load geom_uzip kernel module if needed
-			kldstat -q -m g_uzip || kldload geom_uzip || err 1 "geom_uzip failed to load."
+			kldstat -q -m g_uzip || kldstat -q -m geom_uzip || kldload geom_uzip || err 1 "geom_uzip failed to load."
 			_dev="/dev/${_md}.uzip"
 		fi
 		for _i in `df ${_file} 2>/dev/null`; do _fs=${_i}; done
@@ -108,7 +108,7 @@
 		return
 	fi
 
-	kldstat -q -m g_md || kldload geom_md || err 1 "geom_md failed to load."
+	kldstat -q -m g_md || kldstat -q -m geom_md || kldload geom_md || err 1 "geom_md failed to load."
 
 	for _md in ${_mdconfig_list}; do
 		init_variables ${_md}
>Release-Note:
>Audit-Trail:

From: Martin Matuska <mm@FreeBSD.org>
To: bug-followup@FreeBSD.org,  mm@FreeBSD.org,  remko@elvandar.org
Cc:  
Subject: Re: conf/115751: [PATCH] etc/rc.d/mdconfig (RELENG_6)
Date: Fri, 24 Aug 2007 11:31:28 +0200

 After some more testing I have found out that the patch is incorrect.
 
 In reality, the only problem is that the geom_uzip module reports
 itself on 6-STABLE as geom_uzip and not g_uzip.
 On 7-CURRENT the script works correct (the module reports as g_uzip).
 
 The rename of geom_uzip to g_uzip was not yet MFC'ed.
 See PR kern/115779
 

From: Matteo Riondato <matteo@freebsd.org>
To: bug-followup@freebsd.org, Martin Matuska <mm@freebsd.org>,
        freebsd-bugs@freebsd.org
Cc:  
Subject: Re: conf/115751: [PATCH] etc/rc.d/mdconfig (RELENG_6)
Date: Fri, 24 Aug 2007 12:16:57 +0200

 --8t9RHnE3ZwKMSgU+
 Content-Type: text/plain; charset=us-ascii
 Content-Disposition: inline
 Content-Transfer-Encoding: quoted-printable
 
 On Fri, Aug 24, 2007 at 09:40:08AM +0000, Martin Matuska wrote:
 >  In reality, the only problem is that the geom_uzip module reports
 >  itself on 6-STABLE as geom_uzip and not g_uzip.
 >  On 7-CURRENT the script works correct (the module reports as g_uzip).
 > =20
 >  The rename of geom_uzip to g_uzip was not yet MFC'ed.
 >  See PR kern/115779
 
 IIRC, it was not yet MFC'ed because it would be a POLA and may be ABI
 violation.
 
 I think kern/115779 is not correct and should be closed. And it seems
 to me that this PR should be closed too and rev 1.4 of
 etc/rc.d/mdconfig should be MFC'ed, now that etc/rc.subr rev 1.72 has
 been MFC'ed as rev 1.34.2.22.
 
 Best regards
 --=20
 Matteo Riondato
 FreeBSD Committer (http://www.FreeBSD.org)
 FreeSBIE Developer (http://www.FreeSBIE.org)
 GUFI Staff Member (http://www.GUFI.org)
 
 --8t9RHnE3ZwKMSgU+
 Content-Type: application/pgp-signature
 Content-Disposition: inline
 
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v2.0.4 (FreeBSD)
 
 iD8DBQFGzrAZ2Mp4pR7Fa+wRAtlAAKCYBLYyyhDG+Hq9kQBv5h+JedCcGACg0/BY
 rXqKEFI7TtkgzyOOgEPVclQ=
 =H2z3
 -----END PGP SIGNATURE-----
 
 --8t9RHnE3ZwKMSgU+--

From: Martin Matuska <mm@FreeBSD.org>
To: bug-followup@FreeBSD.org,  mm@FreeBSD.org
Cc:  
Subject: Re: conf/115751: [PATCH] etc/rc.d/mdconfig (RELENG_6)
Date: Fri, 24 Aug 2007 13:35:35 +0200

 Without the change in geom_uzip naming, this patch fixes
 etc/rc.d/mdconfig:
 
 Index: etc/rc.d/mdconfig
 ===================================================================
 RCS file: /home/ncvs/src/etc/rc.d/mdconfig,v
 retrieving revision 1.3.2.1
 diff -u -r1.3.2.1 mdconfig
 --- etc/rc.d/mdconfig    21 Aug 2006 15:06:38 -0000    1.3.2.1
 +++ etc/rc.d/mdconfig    24 Aug 2007 08:54:42 -0000
 @@ -84,7 +84,7 @@
          fi
          if [ "${_file}" != "${_file%.uzip}" ]; then
              # Load geom_uzip kernel module if needed
 -            kldstat -q -m g_uzip || kldload geom_uzip || err 1
 "geom_uzip failed to load."
 +            kldstat -q -m geom_uzip || kldload geom_uzip || err 1
 "geom_uzip failed to load."
              _dev="/dev/${_md}.uzip"
          fi
          for _i in `df ${_file} 2>/dev/null`; do _fs=${_i}; done
 
Responsible-Changed-From-To: freebsd-bugs->matteo 
Responsible-Changed-By: matteo 
Responsible-Changed-When: Fri Aug 24 12:35:38 UTC 2007 
Responsible-Changed-Why:  
I'll take care of this problem 

http://www.freebsd.org/cgi/query-pr.cgi?pr=115751 

From: Matteo Riondato <matteo@FreeBSD.org>
To: bug-followup@FreeBSD.org, mm@FreeBSD.org
Cc:  
Subject: Re: conf/115751: [PATCH] etc/rc.d/mdconfig (RELENG_6)
Date: Fri, 24 Aug 2007 15:02:07 +0200

 --JwB53PgKC5A7+0Ej
 Content-Type: text/plain; charset=us-ascii
 Content-Disposition: inline
 Content-Transfer-Encoding: quoted-printable
 
 Could you please try http://people.freebsd.org/~matteo/diff/mdconfig ?=20
 Replace your original /etc/rc.d/mdconfig file with it and try.
 Please note that you need a recent RELENG_6 (less than a week old)
 or at least rev. 1.34.2.22 of /etc/rc.subr .
 
 Let me know.
 Best Regards
 --=20
 Matteo Riondato
 FreeBSD Committer (http://www.FreeBSD.org)
 FreeSBIE Developer (http://www.FreeSBIE.org)
 GUFI Staff Member (http://www.GUFI.org)
 
 --JwB53PgKC5A7+0Ej
 Content-Type: application/pgp-signature
 Content-Disposition: inline
 
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v2.0.4 (FreeBSD)
 
 iD8DBQFGztbP2Mp4pR7Fa+wRAswZAKCBHtRpauN6P9zc+FJXHwGO94La6wCeNHKH
 BEtCtzJZo21pyApsRm8D0Zk=
 =vyzi
 -----END PGP SIGNATURE-----
 
 --JwB53PgKC5A7+0Ej--
State-Changed-From-To: open->feedback 
State-Changed-By: matteo 
State-Changed-When: Mon Sep 3 17:01:10 UTC 2007 
State-Changed-Why:  
I asked for feedback 

http://www.freebsd.org/cgi/query-pr.cgi?pr=115751 
Responsible-Changed-From-To: matteo->linimon 
Responsible-Changed-By: linimon 
Responsible-Changed-When: Sat Jan 26 09:16:49 UTC 2008 
Responsible-Changed-Why:  
To submitter: is this problem now fixed in 6.3? 

http://www.freebsd.org/cgi/query-pr.cgi?pr=115751 
State-Changed-From-To: feedback->closed 
State-Changed-By: mm 
State-Changed-When: Wed Jan 14 15:01:20 UTC 2009 
State-Changed-Why:  
Obsolete. Closed by submitter. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=115751 
>Unformatted:
